List company Scouts
curl --request GET \
--url https://api-prod.heliyos.ai/v1/platform/companies/{id}/scouts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.heliyos.ai/v1/platform/companies/{id}/scouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-prod.heliyos.ai/v1/platform/companies/{id}/scouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"meta": {
"message": "Scouts retrieved successfully"
},
"data": [
{
"_id": "6732d4e5f6a7b8c9d0e1f2a3",
"organizationId": "66a0f1e2d3c4b5a697887766",
"baseSchemaObjectId": "66f1a8c3e4b0a1b2c3d4e5f6",
"defaultScoutId": "6731c0a2b4e5f60718293a4b",
"scoutType": "custom",
"executionMode": "task",
"effort": "medium",
"name": "Hiring for data roles",
"category": "Hiring",
"query": "Find data for the company Northwind Traders with the website https://northwind.example.com. New job postings at the company for data engineering or analytics roles.",
"queryTemplate": "New job postings at the company for data engineering or analytics roles.",
"cadence": "weekly",
"scope": "watchlist",
"status": "active",
"lastRunDate": "2026-11-03T06:00:00.000Z",
"metadata": {
"created": {
"at": "2026-10-02T08:20:00.000Z",
"by": "system"
},
"updated": {
"at": "2026-11-03T06:00:00.000Z",
"by": "system"
}
}
}
]
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}Scouts
List company Scouts
Returns the Scouts running on one company, newest first. Each entry is a company Scout: a copy of a
workspace Scout (defaultScoutId) for this company. The list is not paged.
GET
/
v1
/
platform
/
companies
/
{id}
/
scouts
List company Scouts
curl --request GET \
--url https://api-prod.heliyos.ai/v1/platform/companies/{id}/scouts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.heliyos.ai/v1/platform/companies/{id}/scouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-prod.heliyos.ai/v1/platform/companies/{id}/scouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"meta": {
"message": "Scouts retrieved successfully"
},
"data": [
{
"_id": "6732d4e5f6a7b8c9d0e1f2a3",
"organizationId": "66a0f1e2d3c4b5a697887766",
"baseSchemaObjectId": "66f1a8c3e4b0a1b2c3d4e5f6",
"defaultScoutId": "6731c0a2b4e5f60718293a4b",
"scoutType": "custom",
"executionMode": "task",
"effort": "medium",
"name": "Hiring for data roles",
"category": "Hiring",
"query": "Find data for the company Northwind Traders with the website https://northwind.example.com. New job postings at the company for data engineering or analytics roles.",
"queryTemplate": "New job postings at the company for data engineering or analytics roles.",
"cadence": "weekly",
"scope": "watchlist",
"status": "active",
"lastRunDate": "2026-11-03T06:00:00.000Z",
"metadata": {
"created": {
"at": "2026-10-02T08:20:00.000Z",
"by": "system"
},
"updated": {
"at": "2026-11-03T06:00:00.000Z",
"by": "system"
}
}
}
]
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}In the Heliyos MCP server:
heliyos_companies_scouts_list.Authorizations
A workspace API key, sent as Authorization: Bearer heliyos_.... Create one in Heliyos under Settings → API keys. A key acts as a workspace admin in the one workspace it was created in.
Path Parameters
The company record's id.
Pattern:
^[0-9a-fA-F]{24}$Query Parameters
Only company Scouts in this status: active, paused or failed.
Available options:
active, paused, failed Was this page helpful?

